Imagick::readImageBlob
Imagick::reduceNoiseImage
The Imagick class
PHP Manual

# Imagick::readImageFile

(No version information available, might be only in CVS)

Imagick::readImageFile — Reads image from open filehandle

### Description

bool Imagick::readImageFile ( resource `$filehandle` [, string `$fileName` ] )
Warning

This function is currently not documented; only its argument list is available.

Reads image from open filehandle

### Parameters

`filehandle`

`fileName`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::readImageBlob
Imagick::reduceNoiseImage
The Imagick class
PHP Manual